
bankApp.controller("handleAccountCtrl", ['$scope', '$window', '$http', 
		'$rootScope', '$location',
		function($scope, $window, $http, $rootScope, $location){

	getUsers($scope, $http);

	getTeams($scope, $http);
	$scope.changeTeam = function() {
		getUsersFilter($scope, $http);
	}


	$scope.changeUser = function() {		
		for(i=0; i<$scope.users.length; i++) {
			if($scope.users[i]['user'] == $scope.selectedUser) {
				$scope.selectedFullname = $scope.users[i]['fullname'];
				$scope.selectedId = $scope.users[i]['id'];
			}
		}

		$http.post("inc/accounts/getAccounts.php", {
			userId : $scope.selectedId
		})			
		.success(function(data) {
			$scope.accounts = data
		});
	}
	
	$scope.modifyAccount = function(index) {
		
		$rootScope.accountNumber = $scope.accounts[index]['accountNumber'];
		$rootScope.variant       = $scope.accounts[index]['variant'];
		$rootScope.ballance      = $scope.accounts[index]['ballance'];
		$rootScope.selectedId    = $scope.selectedId;
		
		$location.path("/modifyAccount");		
	}
	$scope.removeAccount = function(index) {
		var res = confirm("Biztosan törlöd a számlát?");
		if(res == true) {
			var accountData = $scope.accounts[index];
			var account = accountData['accountNumber'];
			$scope.accounts.splice(index, 1);
			deleteAccount($scope, $http, account);			
		}		
	}
	
}]);

function deleteAccount($scope, $http, accountForDelete) {
	$http.post("inc/accounts/deleteAccount.php", { 
		accountForDelete   : accountForDelete
	})
	.success(function(data) {
		if(data == "deleteSuccess") {
			alert("A törlés sikerült.");
		}else {
			alert("HIBA! A törlés sikertelen!");
		}
	});	
}

bankApp.controller("modifyAccountCtrl", ['$scope', '$http', '$rootScope',
		function($scope, $http, $rootScope){

	$scope.saveModifyAccount = function() {

		$http.post("inc/accounts/saveModifyAccount.php", { 
			accountNumber: $scope.accountNumber,
			variant      : $scope.variant,
			ballance	 : $scope.ballance,
			userId       : $rootScope.selectedId
		})			
		.success(function(data) {
			if(data == "saveSuccess") {
				alert("Sikeres módosítás.");
			}else {
				alert("HIBA! Sikertelen!");
			}
		});

	}

}]);

bankApp.controller("addAccountCtrl", ['$scope', '$window', '$http', 
		function($scope, $window, $http){

	$scope.variant = "1";
	getBankNumber($scope, $http);
	getBankCountryNumber($scope, $http);
	$scope.ballance = "0";
	
	$scope.availableAccountNumberHide = true;
	$scope.TextWhiteBackgroundHide = true;
	
	getTeams($scope, $http);
	$scope.getAllUser = function() {
		getUsers($scope, $http);
	}
	$scope.changeTeam = function() {
		getUsersFilter($scope, $http);
	}


	
	$scope.changeUser = function() {		
		for(i=0; i<$scope.users.length; i++) {
			if($scope.users[i]['user'] == $scope.selectedUser) {
				$scope.selectedFullname = $scope.users[i]['fullname'];
				$scope.selectedId = $scope.users[i]['id'];
			}
		}
		$scope.TextWhiteBackgroundHide = false;
		
		countUserAccount($scope, $http, $scope.selectedUser);
	}		
	
	$scope.addNewAccount = function() {
		if($scope.variant == null) {
			$scope.variant = "1";
		}		
		if($scope.selectedUser == null) {
			alert("HIBA! Kötelező egy felhasználót kiválasztani!");
		}else if($scope.accountNumber1 == null) {
			alert("HIBA! A számlaszám első részét kötelező megadni!");
		}else {
			accountNumber = $scope.accountNumber1 + "-" +
				$scope.accountNumber2 + "-" +
				$scope.accountNumber3;
		
			$http.post("inc/accounts/saveNewAccount.php", {
				accountNumber: accountNumber,
				variant	     : $scope.variant,
				ballance	 : $scope.ballance,
				id	         : $scope.selectedId
			})			
			.success(function(data) {
				if(data == "saveSuccess") {
					alert("Sikeresen felvettük az új számlát.");
					$scope.ballance = "0";
				
					$scope.accountNumber1 = "";
				}else {
					alert("HIBA! Sikertelen!");
				}
			});	
		}
	}
	
	$scope.getAvailableAccountNumber = function() {
		getNextNumber($scope, $http);
		$scope.availableAccountNumberHide = false;
	}
	
}]);

function countUserAccount($scope, $http, selectedUser) {
	$http.post("inc/accounts/countUserAccount.php", {
		user : selectedUser
	})			
	.success(function(data) {
		$scope.userAccountNumber = data;
	});		
}

function getUsersFilter($scope, $http) {
	$http.post("inc/accounts/getUsersForAccount.php", {
		teamId : $scope.selectedTeam.id
	})			
	.success(function(data) {
		$scope.users = data;		
	});	
}


function getBankNumber($scope, $http) {
	$http.post("inc/users/getBankNumber.php", {		
	})			
	.success(function(data) {
		$scope.accountNumber2 = data;		
	});		
}

function getBankCountryNumber($scope, $http) {
	$http.post("inc/users/getBankCountryNumber.php", {		
	})			
	.success(function(data) {
		$scope.accountNumber3 = data;		
	});		
}

function getNextNumber($scope, $http) {
	$http.post("inc/users/getNextNumber.php", {		
	})			
	.success(function(data) {
		$scope.availableAccountNumber = data;
		$scope.accountNumber1 = data;
	});		
}
