/*
 * Copyright (c) Sallai András, 2015, 2016 All rights reserverd
 * Licensed under GNU GPL v.3
 * Web: http://szit.hu
 * 
 */
var bankApp = angular.module("BankAdminApp", ['ngSanitize', 'ngRoute']);

bankApp.config(function($routeProvider) {      
	$routeProvider
		.when('/addUser', {
			templateUrl: 'templates/users/addUser.html',
			controller: 'addUserCtrl'
		})
		.when('/handleUsers', {
			templateUrl: 'templates/users/handleUsers.html',
			controller: 'handleUserCtrl'
		})
		.when('/modifyUser', {
			templateUrl: 'templates/users/modifyUser.html',
			controller: 'modifyUserCtrl'
		})
		.when('/userPassword', {
			templateUrl: 'templates/users/userPassword.html',
			controller: 'userPasswordCtrl'
		})
		.when('/addAccount', {
			templateUrl: 'templates/accounts/addAccount.html',
			controller: 'addAccountCtrl'
		})
		.when('/handleAccounts', {
			templateUrl: 'templates/accounts/handleAccount.html',
			controller: 'handleAccountCtrl'
		})
		.when('/modifyAccount', {
			templateUrl: 'templates/accounts/modifyAccount.html',
			controller: 'modifyAccountCtrl'
		})
		.when('/modifyTeam', {
			templateUrl: 'templates/teams/modifyTeam.html',
			controller: 'modifyTeamCtrl'
		})
		.when('/addTeam', {
			templateUrl: 'templates/teams/addTeam.html',
			controller: 'addTeamCtrl'
		})
		.when('/handleTeams', {
			templateUrl: 'templates/teams/handleTeams.html',
			controller: 'handleTeamsCtrl'			             
		})
		.when('/teamTransfer', {
			templateUrl: 'templates/tender/teamTransfer.html',
			controller: 'teamTransferCtrl'			             
		})
		.when('/teamZero', {
			templateUrl: 'templates/tender/teamZero.html',
			controller: 'teamZeroCtrl'			             
		})
		.when('/help', {
			templateUrl: 'templates/help.html',
		})
		.when('/about', {
			templateUrl: 'templates/about.html',
			controller: 'aboutCtrl'
		})
		.when('/', {
			templateUrl: 'templates/main.html'
		})
});

bankApp.controller("aboutCtrl", ['$scope', '$window', '$http', 
		function($scope, $window, $http){
	$http.post("../inc/getVersion.php", { 
	})			
	.success(function(data) {
		$scope.applicationVersio = data;
	});
}]);
