/*
 * Copyright (c) Sallai András, 2015, 2016 All rights reserverd
 * Licensed under GNU GPL v.3
 * Web: http://szit.hu
 * 
 */
bankApp.controller("addTeamCtrl", ['$scope', '$window', '$http', 
		function($scope, $window, $http){
	
	$scope.addNewTeam = function() {
		$http.post("inc/teams/saveNewTeam.php", { 
			name: $scope.name
		})			
		.success(function(data) {
			if(data == "saveSuccess") {
				alert("Sikeres felvétel.");
				$scope.name = "";
			}else {
				alert("HIBA! Sikertelen!");
			}
		});		
	}
			
}]);

bankApp.controller("handleTeamsCtrl", ['$scope', '$window', '$http', 
		'$rootScope', '$location',
		function($scope, $window, $http, $rootScope, $location){
	
	getTeams($scope, $http);

	$scope.removeTeam = function(index) {
		var res = confirm("Biztosan törlöd a csoportot?");
		if(res == true) {
			var teamData = $scope.teams[index];
			var team = teamData['name'];
			$scope.teams.splice(index, 1);
			deleteTeam($scope, $http, team);
		}
	}

	$scope.modifyTeam = function(index) {		
		$rootScope.name = $scope.teams[index]['name'];
		$rootScope.id = $scope.teams[index]['id'];
		$location.path("/modifyTeam");
	}
			
}]);

function getTeams($scope, $http) {
	$http.post("inc/teams/getTeams.php", {
	})			
	.success(function(data) {
		$scope.teams = data;
	});	
}

function getTeamsForFilter($scope, $http) {
	$http.post("inc/teams/getTeams.php", {
	})			
	.success(function(data) {
		$scope.teams = data;
		$scope.teams.push({id:-1, name:"*"});		
	});	
}

bankApp.controller("modifyTeamCtrl", ['$scope', '$window', '$http', '$rootScope', 
		function($scope, $window, $http, $rootScope){

	$scope.saveModifyTeam = function() {

		console.log($rootScope.id);

		$http.post("inc/teams/saveModifyTeam.php", { 
			name    : $scope.name,
			teamId : $rootScope.id
		})			
		.success(function(data) {
			if(data == "saveSuccess") {
				alert("Sikeres módosítás.");
			}else {
				alert("HIBA! Sikertelen!");
			}
		});

	}
	
}]);

function deleteTeam($scope, $http, teamForDelete) {
	
	$http.post("inc/teams/deleteTeam.php", { 
		teamForDelete   : teamForDelete
	})
	.success(function(data) {
		if(data == "deleteSuccess") {
			alert("A törlés sikerült.");
		}else {
			alert("HIBA! A törlés sikertelen!");
		}
	});	
}
