/*
 * Copyright (c) Sallai András, 2015, 2016 All rights reserverd
 * Licensed under GNU GPL v.3
 * Web: http://szit.hu
 * 
 */
bankApp.controller("teamTransferCtrl", ['$scope', '$window', '$http', 
		function($scope, $window, $http){

	getOwnAccounts($scope, $http, $window);
	getDefaultCurrency($scope, $http);
	getTemplatesForAccount($scope, $http, $window);
	getTeamsForFilter($scope, $http);
	
	$scope.targetAccounts = [];
	$scope.logs=[];
	//~ $scope.selectedTeam = [];
	
	$scope.sendTransfer = function(sourceAccount) {		
		
		//ide jönnek az ellenőrzések
		
		for(i=0;i<$scope.targetAccounts.length; i++) {
			var inTargetAccount1 = $scope.targetAccounts[i].targetAccount1;
			var inTargetAccount2 = $scope.targetAccounts[i].targetAccount2;
			var inTargetAccount3 = $scope.targetAccounts[i].targetAccount3;
			
			var inSourceAccount = $scope.sourceAccount;
			var inTargetName = $scope.targetAccounts[i].targetName;
			
			
			var inVoucherNumber = $scope.targetAccounts[i].voucherNumber;
			var inNotice = $scope.targetAccounts[i].notice;
			var inDueDate = $scope.dueDate;
			var inMoney = $scope.money;
			
			sendATransfer($scope, $http, $window,
				inSourceAccount, inTargetName, 
				inTargetAccount1, inTargetAccount2, inTargetAccount3,
				inVoucherNumber, inNotice, inDueDate, inMoney);
			
		}
	}

	$scope.changeTeam = function() {
		//~ getTeamsForFilter($scope, $http);
		getTemplatesForAccountWithFilter($scope, $http, $window)
	}

	$scope.templateChanged = function() {
		var str1 = $scope.templateName.replace(/(\r\n|\n|\r|\t| )/gm,"");
		
		for (i = 0; i < $scope.templates.length; i++) { 
			var str2 = $scope.templates[i]['templateName'];
			if(str1 == str2) {				
				$scope.targetName = $scope.templates[i]['targetName'];
				res = $scope.templates[i]['accountNumber'].split("-");
				$scope.targetAccount1 = res[0];
				$scope.targetAccount2 = res[1];
				$scope.targetAccount3 = res[2];
			}
		}
	}

	$scope.addAccount = function() {
		var vanIlyen = false;
		for(i=0;i<$scope.targetAccounts.length; i++) {
			var account = $scope.targetAccounts[i].targetAccount1 + "-" +
				$scope.targetAccounts[i].targetAccount2 + "-" +
				$scope.targetAccounts[i].targetAccount3;
				
			var newAccount = $scope.targetAccount1 + "-" +
				$scope.targetAccount2 + "-" + 
				$scope.targetAccount3;
			if(account == newAccount) {
				vanIlyen = true;
			}			
		}

		if(!vanIlyen) {
			$scope.targetAccounts.push({
				targetName: $scope.targetName,
				targetAccount1: $scope.targetAccount1,
				targetAccount2: $scope.targetAccount2,
				targetAccount3: $scope.targetAccount3		
			});
		}
		
	}
	$scope.deleteAccounts = function() {
		$scope.targetAccounts = [];
	}

}]);

function getDefaultCurrency($scope, $http) {
	$http.post("../inc/getDefaultCurrency.php", { })
	.success(function(data) {
		$scope.defaultCurrency = data;
	});		
}

function getTemplatesForAccount($scope, $http, $window) {
	$http.post("../inc/getTemplates.php", { })
	.success(function(data) {		
		$scope.templates = data;
	});
}

function getOwnAccounts($scope, $http, $window) {
	$http.post("../inc/getOwnAccounts.php", { })
	.success(function(data) {
		$scope.accounts = data;
	});
}

function getTemplatesForAccountWithFilter($scope, $http, $window) {
	console.log($scope.selectedTeam.id);
	$http.post("inc/tender/getTemplatesWithFilter.php", { 
		teamId : $scope.selectedTeam.id	
	})
	.success(function(data) {		
		$scope.templates = data;
	});
}

function sendATransfer($scope, $http, $window,
		inSourceAccount, inTargetName, 
		inTargetAccount1, inTargetAccount2, inTargetAccount3,
		inVoucherNumber, inNotice, inDueDate, inMoney) {
	
		inSourceAccount = inSourceAccount.replace(/(\r\n|\n|\r|\t| )/gm,"");
		inTargetName = inTargetName.replace(/(\r\n|\n|\r|\t| )/gm,"");

		inTargetAccount1 = inTargetAccount1.replace(/(\r\n|\n|\r|\t| )/gm,"");
		inTargetAccount2 = inTargetAccount2.replace(/(\r\n|\n|\r|\t| )/gm,"");
		inTargetAccount3 = inTargetAccount3.replace(/(\r\n|\n|\r|\t| )/gm,"");

		//~ console.log(inTargetAccount1 + "-" + inTargetAccount2 + "-" + inTargetAccount3);
		
		if(inVoucherNumber == null) { inVoucherNumber = ""; }
		if(inNotice == null) { inNotice = ""; }
		
		$http.post("../inc/transfer.php", 
			{
				sourceAccount	: inSourceAccount,
				targetName		: inTargetName,
				targetAccount1	: inTargetAccount1,
				targetAccount2	: inTargetAccount2,
				targetAccount3	: inTargetAccount3,				
				voucherNumber	: inVoucherNumber,				
				notice			: inNotice,
				dueDate			: inDueDate,
				money			: inMoney
			})
		.success(function(data) {
			if(data == "sendingSuccess") {
				console.log("A megbízást a bank megkapta");
				$scope.logs.push({row:"A megbízást a bank megkapta: " 
					+ inTargetName});
			} else if(data == "NoAccounts") {
				console.log("A cél számla nem létezik!");
			} else if(data == "NoCover") {
				console.log("A forrás számlán nincs elég fedezet!");
			}else {
				console.log("Sikertelen küldés!");
			}
		})
		.error(function() {
			console.log("Hiba! A küldés nem sikerült!");
		});			
}




bankApp.controller("teamZeroCtrl", ['$scope', '$window', '$http', 
		function($scope, $window, $http){


}]);
