bankApp.controller("userPasswordCtrl", ['$scope', '$window', '$http', 
		function($scope, $window, $http){
	$scope.password1Hide = true;
	$scope.password2Hide = true;
	
	getUsers($scope, $http);

	getTeams($scope, $http);
	$scope.changeTeam = function() {
		getUsersFilter($scope, $http);
	}

	$scope.changeUser = function() {		
		for(i=0; i<$scope.users.length; i++) {
			if($scope.users[i]['user'] == $scope.selectedUser) {
				$scope.selectedFullname = $scope.users[i]['fullname'];
				$scope.selectedId = $scope.users[i]['id'];
			}
		}
	}

	$scope.saveNewPassword = function() {
		changePassword($scope, $http, $window);
	}

	$scope.showNewPassword = function() {
		if($scope.password1Hide == false) {
			$scope.password1Hide = true;
			$scope.password2Hide = true;
		}else {
			$scope.password1Hide = false;
			$scope.password2Hide = false;
		}
	}

}]);

function changePassword($scope, $http, $window) {
	if($scope.newpassword1 == null) {
		alert("Nem adta meg a jelszót!");
	}else if($scope.newpassword2 == null) {
		alert("Nem adta meg a jelszót újra!");
	}else {
		$http.post("inc/users/changePassword.php", { 
			selectedUser : $scope.selectedUser,
			newpassword1   : $scope.newpassword1,
			newpassword2   : $scope.newpassword2
		})
		.success(function(data) {
			if(data == "changeSuccess") {
				alert("A mentés sikerült.");
				$scope.newpassword1 = "";
				$scope.newpassword2 = "";
			}else if(data == "notAccordPassword") {
				alert("HIBA! A kért jelszavak nem egyeznek!");
			}else if(data == "forbidden"){
				alert("HIBA! A jelszócsere nincs engedélyezve!");
			}else {
				alert("HIBA! A mentés sikertelen!");
			}
		});
	}
}

bankApp.controller("addUserCtrl", ['$scope', '$window', '$http', 
		function($scope, $window, $http){

	$scope.role = 0;
	$scope.enabled = true;
	$scope.password1Hide = true;
	$scope.password2Hide = true;
	
	$scope.fullname = "";
	$scope.user = "";
	$scope.pass = "";
	$scope.passAgain = "";
	$scope.teamId = "";

	getTeams($scope, $http);
	getRolesLocal($scope, $http);	

	$scope.showNewPassword = function() {
		if($scope.password1Hide == false) {
			$scope.password1Hide = true;
			$scope.password2Hide = true;
		}else {
			$scope.password1Hide = false;
			$scope.password2Hide = false;
		}
	}

	$scope.saveNewUser = function() {
		if($scope.fullname == null) {
			alert("HIBA! Nem adtad meg az új felhasználó teljes nevét!");
		}else if($scope.user == null) {
			alert("HIBA! Nem adtad meg az új felhasználó felhasználónevét!");
		}else if($scope.pass == null) {
			alert("HIBA! Nem adtad meg az új felhasználó jelszavát!");
		}else if($scope.teamId == null) {
			alert("HIBA! Nem adtad meg az új felhasználó csoportját!");
		}else if($scope.pass != $scope.passAgain) {
			alert("HIBA! A beírt jelszók nem egyeznek");
		}else {
			
			$http.post("inc/users/saveNewUser.php", { 
				fullname: $scope.fullname,
				user	: $scope.user,
				pass	: $scope.pass,
				teamId	: $scope.selectedTeam.id,
				enabled : $scope.enabled,
				roleId  : $scope.selectedRole.id
			})			
			.success(function(data) {
				if(data == "saveSuccess") {
					alert("Sikerese felvétel.");
					$scope.fullname = "";
					$scope.user = "";
					$scope.pass = "";
					$scope.passAgain = "";
					$scope.teamId = "";					
				}else {
					alert("HIBA! Sikertelen!");
				}
			});
		}	
	}

}]);

function getRolesLocal($scope, $http) {
	$http.post("inc/users/getRoles.php", {
	})			
	.success(function(data) {
		$scope.roles = data;		
	});	
}


function getUsersForUserhandler($scope, $http) {
	$http.post("inc/users/getUsersForUserhandler.php", {
		teamId : $scope.selectedTeam.id
	})			
	.success(function(data) {
		$scope.users = data;		
	});	
}

bankApp.controller("handleUserCtrl", ['$scope', '$window', '$http', 
		'$location', '$rootScope',
		function($scope, $window, $http, $location, $rootScope){
	
	//~ getUsers($scope, $http);
	//~ getTeams($scope, $http);	
	getTeamsForFilter($scope, $http);
	
	$scope.changeTeam = function() {
		getUsersForUserhandler($scope, $http);
	}

	$scope.removeUsers = function(index) {
		var res = confirm("Biztosan törlöd a felhasználót?");
		if(res == true) {
			var userData = $scope.users[index];
			var user = userData['user'];
			$scope.users.splice(index, 1);
			deleteUser($scope, $http, user);
		}
	}

	$scope.modifyUser = function(index) {
		
		$rootScope.fullname = $scope.users[index]['fullname'];
		$rootScope.user = $scope.users[index]['user'];
		$rootScope.pass = $scope.users[index]['pass'];
		
		$rootScope.selectedTeamId = $scope.users[index]['teamId'];
		
		$rootScope.enabled = $scope.users[index]['enabled'];
		$rootScope.selectedRoleId = $scope.users[index]['roleId'];
		
		getRoles($scope, $http, $rootScope);

		$location.path("/modifyUser");
	}

}]);

function getUsers($scope, $http) {
	$http.post("inc/users/getUsers.php", {
	})			
	.success(function(data) {
		$scope.users = data;
	});	
}

function getRoles($scope, $http, $rootScope) {
	$http.post("inc/users/getRoles.php", {
	})			
	.success(function(data) {
		$rootScope.roles = data;
		$rootScope.selectedRole = $rootScope.roles[$rootScope.selectedRoleId -1];
	});	
}


function getTeamsForModifyUser($scope, $http, $rootScope) {
	$http.post("inc/teams/getTeams.php", {
	})			
	.success(function(data) {
		$scope.teams = data;

		for(i=0; i<$scope.teams.length; i++) {
			if($rootScope.selectedTeamId == $scope.teams[i].id) {				
				 $scope.teams.selectedOption = $scope.teams[i];
			}
		}		
	});
	
}

bankApp.controller("modifyUserCtrl", ['$scope', '$window', '$http', 
		'$rootScope',
		function($scope, $window, $http, $rootScope){
	
	getTeamsForModifyUser($scope, $http, $rootScope);
	
	$scope.saveModifyUser = function() {
		$http.post("inc/users/saveModifyUser.php", { 
			fullname: $scope.fullname,
			user	: $scope.user,
			pass	: $scope.pass,
			teamId	: $scope.teams.selectedOption.id,
			enabled : $scope.enabled,
			roleId  : $scope.selectedRole.id
		})			
		.success(function(data) {
			if(data == "saveSuccess") {
				alert("Sikeres módosítás.");
			}else {
				alert("HIBA! Sikertelen!");
			}
		});	
	}
	$scope.showPassword = function() {
		if($scope.passwordShoing) {
			$scope.passwordShoing = false;
		}else {
			$scope.passwordShoing = true;
		}
	}
	
}]);

function deleteUser($scope, $http, userForDelete) {
	
	$http.post("inc/users/deleteUser.php", { 
		userForDelete   : userForDelete
	})
	.success(function(data) {
		if(data == "deleteSuccess") {
			alert("A törlés sikerült.");
		}else {
			alert("HIBA! A törlés sikertelen!");
		}
	});	
}
