/*
 * Copyright (c) Sallai András, 2015, 2016 All rights reserverd
 * Licensed under GNU GPL v.3
 * Web: http://szit.hu
 * 
 */
var bankApp = angular.module("BankApp", ['ngSanitize', 'ngRoute']);


bankApp.config(function($routeProvider) {      
	$routeProvider
		.when('/accountinfo', {
			templateUrl: 'templates/account.html',
			controller: 'acountinfoCtrl'
		})
		.when('/transfer', {
			templateUrl: 'templates/transfer.html',
			controller: 'transferCtrl'
		})
		.when('/personalData', {
			templateUrl: 'templates/personalData.html',
			controller: 'personalDataCtrl'
		})
		.when('/template', {
			templateUrl: 'templates/templates.html',
			controller: 'templateCtrl'
		})
		.when('/newtemplate', {
			templateUrl: 'templates/newtemplate.html',
			controller: 'newtemplateCtrl'
		})
		.when('/passwordChange', {
			templateUrl: 'templates/passwordChange.html',
			controller: 'passwordChangeCtrl'
		})
		.when('/accountHistory', {
			templateUrl: 'templates/accountHistory.html',
			controller: 'accountHistoryCtrl'
		})
		.when('/bond', {
			templateUrl: 'templates/bond.html'			
		})
		.when('/investment', {
			templateUrl: 'templates/investment.html'			
		})
		.when('/deposit', {
			templateUrl: 'templates/deposit.html'			
		})
		.when('/lockupDeposit', {
			templateUrl: 'templates/lockupDeposit.html'			
		})
		.when('/bankCards', {
			templateUrl: 'templates/bankCards.html'			
		})
		.when('/regularOrders', {
			templateUrl: 'templates/regularOrders.html'			
		})
		.when('/groupOrders', {
			templateUrl: 'templates/groupOrders.html'			
		})
		.when('/', {
			templateUrl: 'templates/main.html'
		})
		.when('/help', {
			templateUrl: 'templates/help.html'
		})
		.when('/about', {
			templateUrl: 'templates/about.html',
			controller: 'aboutCtrl'
		})
});

bankApp.controller("aboutCtrl", ['$scope', '$window', '$http', 
		function($scope, $window, $http){
	$http.post("inc/getVersion.php", { 
	})			
	.success(function(data) {
		$scope.applicationVersio = data;
	});	


}]);

bankApp.controller("passwordChangeCtrl", ['$scope', '$window', '$http', 
		function($scope, $window, $http){
	$scope.saveNewPassword = function() {
		changePassword($scope, $http, $window);
	}
}]);

bankApp.controller("accountHistoryCtrl", ['$scope', '$window', '$http',
		function($scope, $window, $http){
	getDefaultCurrency($scope, $http);
	if($scope.startDate == null) {
		$scope.startDate = "";
	}
	if($scope.endDate == null) {
		$scope.endDate = "";
	}
	getTransactions($scope, $http, $window);

	$scope.getTransactionRange = function() {
		getTransactions($scope, $http, $window);
	}
}]);

bankApp.controller("newtemplateCtrl", ['$scope', '$window', '$http', 
		function($scope, $window, $http){
	$scope.saveNewTemplate = function() {
		newTemplate($scope, $http, $window);
	}
}]);

bankApp.controller("templateCtrl", ['$scope', '$window', '$http', 
		function($scope, $window, $http){
	getTemplates($scope, $http, $window);

	$scope.removeTemplate = function(index){
		var res = confirm("Biztosan törlöd a sablont?");
		if(res == true) {
			var templateArray = $scope.templates[index];
			var templateName = templateArray['templateName'];
			$scope.templates.splice(index, 1);
			deleteTemplate($scope, $http, templateName);
		}
	}	
}]);

bankApp.controller("personalDataCtrl", ['$scope', '$window', '$http', 
		function($scope, $window, $http){
	getPersonalData($scope, $http, $window);
	
	$scope.savePersonalData = function() {
		$http.post("inc/savePersonalData.php", { 
			fullname: $scope.personalData.fullname,
			user	: $scope.personalData.user,
			teamId	: $scope.personalData.teamId
		})			
		.success(function(data) {
		});	
	}
	
}]);

function getPersonalData($scope, $http, $window) {	
	$http.post("inc/getPersonalData.php", { })
	.success(function(data) {
		$scope.personalData = data;		
	});
}

bankApp.controller("acountinfoCtrl", ['$scope', '$window', '$http', 
		function($scope, $window, $http){
	getBallance($scope, $http, $window);
}]);

bankApp.controller("loginCtrl", ['$scope', '$window', '$http', function($scope, $window, $http){
	
	$scope.getLogin = function() {
		startAuth($scope, $http, $window);		
	}
			
}]);

bankApp.controller("transferCtrl", ['$scope', '$window', '$http', function($scope, $window, $http){
	getOwnAccounts($scope, $http, $window);
	
	getDefaultCurrency($scope, $http);
	
	$scope.sendTransfer = function(sourceAccount) {		
		sendTransfer($scope, $http, $window);
	};

	getTemplatesForAccount($scope, $http, $window);

	$scope.templateChanged = function() {
		var str1 = $scope.templateName.replace(/(\r\n|\n|\r|\t| )/gm,"");
		
		for (i = 0; i < $scope.templates.length; i++) { 
			var str2 = $scope.templates[i]['templateName'];
			if(str1 == str2) {				
				$scope.targetName = $scope.templates[i]['targetName'];
				res = $scope.templates[i]['accountNumber'].split("-");
				$scope.targetAccount1 = res[0];
				$scope.targetAccount2 = res[1];
				$scope.targetAccount3 = res[2];
			}
		}
	}

}]);

function changePassword($scope, $http, $window) {
	if($scope.newpassword1 == null) {
		alert("Nem adta meg a jelszót!");
	}else if($scope.newpassword2 == null) {
		alert("Nem adta meg a jelszót újra!");
	}else if($scope.oldpassword == null) {
		alert("Nem adta meg a régi jelszót!");
	}else {
		$http.post("inc/changePassword.php", { 
			newpassword1   : $scope.newpassword1,
			newpassword2   : $scope.newpassword2,
			oldpassword    : $scope.oldpassword
		})
		.success(function(data) {
			if(data == "changeSuccess") {
				alert("A mentés sikerült.");
				$scope.newpassword1 = "";
				$scope.newpassword2 = "";
				$scope.oldpassword = "";
			}else if(data == "notAccordPassword") {
				alert("HIBA! A kért jelszavak nem egyeznek!");
			}else if(data == "forbidden"){
				alert("HIBA! A jelszócsere nincs engedélyezve!");
			}else if(data == "badOldPassword") {
				alert("HIBA! A régi jelszó nem megfelelő!");
			}else {
				alert("HIBA! A mentés sikertelen!");
			}
		});
	}
}

function getTransactions($scope, $http, $window) {

	$http.post("inc/getTransactions.php", { 
		startDate : $scope.startDate,
		endDate	  : $scope.endDate
	})			
	.success(function(data) {
		$scope.transactions = data;
	});	

}

function deleteTemplate($scope, $http, oneTemplateName) {
	
	$http.post("inc/deleteTemplate.php", { 
		templateName   : oneTemplateName
	})
	.success(function(data) {
		if(data == "deleteSuccess") {
			alert("A törlés sikerült.");
		}else {
			alert("HIBA! A törlés sikertelen!");
		}
	});	
}

function newTemplate($scope, $http, $window) {
	if($scope.templateName == null) {
		alert("Nem adott meg sablonnevet!");
	}else if($scope.targetName == null) {
		alert("Nem adta meg a számlatulajdonos nevét!");
	}else if($scope.accountNumber1 == null) {
		alert("Nem adta meg a számlaszámot!");
	}else {
		if($scope.accountNumber2 == null) {
			$scope.accountNumber2 = "00000001";
		}
		if($scope.accountNumber3 == null) {
			$scope.accountNumber3 = "00000001";
		}
		$http.post("inc/saveTemplate.php", { 
			templateName   : angular.uppercase($scope.templateName),
			targetName 	   : $scope.targetName,
			accountNumber1 : $scope.accountNumber1,
			accountNumber2 : $scope.accountNumber2,
			accountNumber3 : $scope.accountNumber3
		})
		.success(function(data) {
			if(data == "saveSuccess") {
				alert("A mentés sikerült.");
				$scope.templateName = "";
				$scope.targetName = "";
				$scope.accountNumber1 = "";
				$scope.accountNumber2 = "";
				$scope.accountNumber3 = "";
			}else {
				alert("HIBA! A mentés sikertelen!");
			}
		});
	}
}

function getTemplatesForAccount($scope, $http, $window) {
	$http.post("inc/getTemplates.php", { })
	.success(function(data) {		
		$scope.templates = data;
	});
}

function getTemplates($scope, $http, $window) {
	$http.post("inc/getTemplates.php", { })
	.success(function(data) {
		$scope.templates = data;
	});
}

function getBallance($scope, $http, $window) {
	$http.post("inc/getBallances.php", { })
	.success(function(data) {
		$scope.ballances = data;
		getDefaultCurrency($scope, $http);
	});		
}

function getDefaultCurrency($scope, $http) {
	$http.post("inc/getDefaultCurrency.php", { })
	.success(function(data) {
		$scope.defaultCurrency = data;
	});		
}



function getOwnAccounts($scope, $http, $window) {
	$http.post("inc/getOwnAccounts.php", { })
	.success(function(data) {
		$scope.accounts = data;
	});
}

function sendTransfer($scope, $http, $window) {
	if($scope.sourceAccount == null) {
		alert("Nem adta meg a terhelendő számlát!");
	}else if($scope.money <= 0 || $scope.money > 100000000) {
		alert("Alsóhatár 1, felső határ: 100000000");
	}else if($scope.targetName == null) {
		alert("Nem adta meg a kedvezményezett nevét!");
	}else if($scope.targetAccount1 == null) {
		alert("A számlaszám első része kötelező!");
	}else if($scope.dueDate == null) {
		alert("Nem adta meg az esedékesség időpontját!");
	}else if($scope.money == null) {
		alert("Nem adta meg az esedékes összeget!");
	}else {
		if($scope.targetAccount2 == null) {
			$scope.targetAccount2 = "";
		}
		if($scope.targetAccount3 == null) {
			$scope.targetAccount3 = "";
		}
		if($scope.voucherNumber == null) {
			$scope.voucherNumber = "";
		}
		if($scope.notice == null)  {
			$scope.notice = "";
		}
		
		$http.post("inc/transfer.php", 
			{
				sourceAccount	: $scope.sourceAccount,
				targetName		: $scope.targetName,
				targetAccount1	: $scope.targetAccount1,
				targetAccount2	: $scope.targetAccount2,
				targetAccount3	: $scope.targetAccount3,				
				voucherNumber	: $scope.voucherNumber,				
				notice			: $scope.notice,
				dueDate			: $scope.dueDate,
				money			: $scope.money
			})
		.success(function(data) {
			if(data == "sendingSuccess") {
				$scope.sourceAccount = "";
				$scope.targetName = "";
				$scope.targetAccount1 = "";
				$scope.targetAccount2 = "";
				$scope.targetAccount3 = "";
				$scope.voucherNumber = "";
				$scope.notice = "";
				$scope.dueDate = "";
				$scope.money = "";
				alert("A megbízást a bank megkapta");
			} else if(data == "NoAccounts") {
				alert("A cél számla nem létezik!");
			} else if(data == "NoCover") {
				alert("A forrás számlán nincs elég fedezet!");
			}else {
				alert("Sikertelen küldés!");
			}
		})
		.error(function() {
			alert("Hiba! A küldés nem sikerült!");
		});			
	}
}

function auth($scope, $http, $window, baseLocation) {
		if($scope.user == "") {
			alert("Nem adott meg felhasználónevet!");
		}else if($scope.pass == "") {
			alert("Nem adott meg jelszót!");
		}else {		
			$http.post("inc/auth.php", 
				{
					user: $scope.user,
					pass: $scope.pass
				})
			.success(function(data) {
				if(data == "loginSuccess") {
				$scope.user = "";
				$scope.pass = "";					
					$window.location=baseLocation;
				}else {
					alert("Sikertelen bejelentkezés!");
				}
			})
			.error(function() {
				alert("Hiba! A küldés nem sikerült!");
			});			
		}
}

function startAuth($scope, $http, $window) {
	$http.post("inc/getBaseLocation.php", 
		{
			
		})
	.success(function(data) {
		auth($scope, $http, $window, data );
	})
	.error(function() {
		alert("Hiba! A kérés nem sikerült!");
	});	
}

